KeyPairGeneratorSpi (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.jcajce.provider.asymmetric.dh

## Class KeyPairGeneratorSpi

- java.lang.Object
- - java.security.KeyPairGeneratorSpi
  - - java.security.KeyPairGenerator
    - - org.bouncycastle.jcajce.provider.asymmetric.dh.KeyPairGeneratorSpi

-     public class KeyPairGeneratorSpi
      extends java.security.KeyPairGenerator

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeyPairGeneratorSpi()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.security.KeyPair` | `generateKeyPair()`
    `void` | `initialize(java.security.spec.AlgorithmParameterSpec params, java.security.SecureRandom random)`
    `void` | `initialize(int strength, java.security.SecureRandom random)`

    - ### Methods inherited from class java.security.KeyPairGenerator

      `genKeyPair, getAlgorithm, getInstance, getInstance, getInstance, getProvider, initialize, initialize`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KeyPairGeneratorSpi

          public KeyPairGeneratorSpi()

  - ### Method Detail

    - #### initialize

          public void initialize(int strength,
                        java.security.SecureRandom random)

      Overrides:
        `initialize` in class `java.security.KeyPairGenerator`

    - #### initialize

          public void initialize(java.security.spec.AlgorithmParameterSpec params,
                        java.security.SecureRandom random)
                          throws java.security.InvalidAlgorithmParameterException

      Overrides:
        `initialize` in class `java.security.KeyPairGenerator`
      Throws:
        `java.security.InvalidAlgorithmParameterException`

    - #### generateKeyPair

          public java.security.KeyPair generateKeyPair()

      Overrides:
        `generateKeyPair` in class `java.security.KeyPairGenerator`